Forum Linux.debian/ubuntu Plus de GTK2 dans Xubuntu 20.04

Posté par  . Licence CC By‑SA.
Étiquettes : aucune
0
20
fév.
2021

Bonjour,

Je viens de laisser tomber Linux Mint Xfce pour Xubuntu, et celui-ci ne contient plus GTK2, nécessaire à l'interface de SMPlayer et de Qt5. Comment faire pour retrouver GTK2 ?

J’ai installé :

gtk+2.0
libgtk2.0-dev
gtk2-engines
gtk2-common-themes

Rien n’y fait…

  • # bizarre

    Posté par  . Évalué à 2 (+0/-0).

    historiquement si je ne m'abuse
    QT = KDE
    GTK = Gnome

    pourquoi QT5 aurait-il besoin de l'autre environnement ?

    • [^] # Re: bizarre

      Posté par  . Évalué à 1 (+0/-0).

      Sur Linux Mint Xfce, Qt5 propose GTK2, pas sur Xubuntu, donc pas de GTK2 pour SMPlayer. Après, pourquoi c’est comme ça… Je me rappelle aussi que Qt5 avec GTK2 agit sur l’interface de VirtualBox, donc avec Xubuntu, l’interface de VirtualBox est tarte.

      • [^] # Re: bizarre

        Posté par  . Évalué à 2 (+0/-0).

        si SMPlayer a besoin de GTK, il doit l'installer quand tu installes SMPlayer avec le gestionnaire de paquet/programme

        • [^] # Re: bizarre

          Posté par  . Évalué à 1 (+0/-0).

          Apparemment il ne l'installe pas avec Xubuntu 20.04. Avec Linux Mint, oui. Mais ce n'est pas possible de l'installer soi-même ?

          • [^] # Re: bizarre

            Posté par  . Évalué à 1 (+0/-0).

            S'il ne l'installe pas, c'est qu'a priori il n'en a pas besoin. A moins d'un dépendance foirée dans les paquets, mais pour un truc aussi gros ça m'étonnerait un peu.

            Sinon tu as concretement des messages d'erreur, quelque chose qui refuse de s'installer ? Difficile de comprendre ce qui se passe avec ce que tu nous donne…

            • [^] # Re: bizarre

              Posté par  . Évalué à 1 (+0/-0).

              SMPlayer s'installe bien, et il n'a pas besoin de GTK2, il est juste nécessaire pour que son interface s'harmonise avec le thème. J'ai lu quelque part que Xubuntu 20.04 n'intègre plus GTK2.

              • [^] # Re: bizarre

                Posté par  . Évalué à 1 (+0/-0). Dernière modification le 20/02/21 à 17:48.

                Je comprends mieux :)
                Alors à ma connaissance (mais ça à peut-être changé, je ne l'utilise plus depuis longtemps), SMPlayer ne supporte pas du tout GTK, Qt seulement. Mais il supporte les skins, l'une d'entre elles correspondra peut-être à ton theme GTK.
                Sinon certain DM proposent des thèmes Qt correspondant a leur thème GTK, et inversement. Tu peux aussi regarder de ce côté là.

                • [^] # Re: bizarre

                  Posté par  . Évalué à 1 (+0/-0).

                  Voilà pourquoi il me fallait installer Qt pour avoir GTK2 dans SMPlayer.
                  Sur Linux Mint, je sélectionnais GTK2 dans Qt, qui faisait apparaître GTK2 dans SMPlayer.
                  Sur Xubuntu, GTK2 est absent.

                  C'est vrai, y a les skins… Je vais voir ça. Merci pour ton aide.

                  • [^] # Re: bizarre

                    Posté par  (site Web personnel) . Évalué à 0 (+0/-1).

                    Voilà pourquoi il me fallait installer Qt pour avoir GTK2 dans SMPlayer.

                    Je l'aurais parié !

                  • [^] # Re: bizarre

                    Posté par  . Évalué à 2 (+0/-0).

                    c'est pas GTK2 qu'il faut, mais bien le theme/skin "Style GTK" correspondant à ton theme de Xubuntu

              • [^] # Re: bizarre

                Posté par  . Évalué à 2 (+1/-0). Dernière modification le 20/02/21 à 18:33.

                Bonjour

                … Sur Xubuntu, GTK2 est absent. …

                michel@xubu:~$ lsb_release --description
                Description:    Ubuntu 20.04.2 LTS
                michel@xubu:~$ echo $XDG_SESSION_DESKTOP
                xubuntu
                michel@xubu:~$ dpkg -l libgtk2.0-0 libgtk-3-0
                Souhait=inconnU/Installé/suppRimé/Purgé/H=à garder
                | État=Non/Installé/fichier-Config/dépaqUeté/échec-conFig/H=semi-installé/W=attend-traitement-déclenchements
                |/ Err?=(aucune)/besoin Réinstallation (État,Err: majuscule=mauvais)
                ||/ Nom               Version          Architecture Description
                +++-=================-================-============-==================================================
                ii  libgtk-3-0:amd64  3.24.20-0ubuntu1 amd64        GTK graphical user interface library
                ii  libgtk2.0-0:amd64 2.24.32-4ubuntu4 amd64        GTK graphical user interface library - old version
                michel@xubu:~$
  • # Quelle est la question?

    Posté par  (site Web personnel) . Évalué à 2 (+0/-0). Dernière modification le 20/02/21 à 18:42.

    Ce logiciel n'a pas besoin de GTK2 pour fonctionner, du coup j'ai beaucoup de mal à comprendre quelle est ta question. En suivant les réponses, je crois deviner que tu veux changer l'apparence du logiciel.
    Il y a un utilitaire qui s'appelle "Paramètres de QT5" (qt5ct) et qui permet de changer l'apparence des applications basées sur cette bibliothèque graphique. Et je pense que le thème qui s'appelle GTK2 est absent dans cet utilitaire sous Xubuntu. Est-ce bien ton problème?

    edit: oui, c'est ça :)

    Un LUG en Lorraine : https://enunclic-cappel.fr

  • # J'ai trouvé !

    Posté par  . Évalué à 3 (+2/-0).

    À force de chercher, il fallait que j'installe ça :

    qt5-style-plugins

    Vu sur cette page :

    http://doc.ubuntu-fr.org/integration_qt_gtk

    Du coup, je comprends pourquoi ça fonctionnait sur Linux Mint.

    Merci pour votre aide !

Envoyer un commentaire

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n’en sommes pas responsables.